Bug 648169 - Cannot boot 2.6.35.x SMP guests
Cannot boot 2.6.35.x SMP guests
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-31 06:17 EDT by Richard Chan
Modified: 2013-01-09 18:18 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-20 19:50:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This UP guest reaches shell (1.97 KB, text/xml)
2010-10-31 06:17 EDT, Richard Chan
no flags Details
Guest UP or SMP does not reach graphical desktop (2.06 KB, text/xml)
2010-10-31 06:19 EDT, Richard Chan
no flags Details

  None (edit)
Description Richard Chan 2010-10-31 06:17:43 EDT
Created attachment 456709 [details]
This UP guest reaches shell

Description of problem:

Fedora 14 host boots 2.6.35 SMP guests but the boot process does not reach a shell. The console echoes characters.

This is on AMD Phenom II X4, Fedora x86_64, x86_64 SMP guests.

Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1. Create an SMP guest, 2 CPUs, 1024MB RAM.
2. Guest uses a 2.6.35 kernel: Fedora 14, Ubuntu 10.10
3. Run guest
  
Actual results:

Kernel boots, console logs messages but the process gets stuck halfway and
I do not get a shell. The console echoes characters

Expected results:

Boots to shell or desktop


Additional info:

I have a UP Ubuntu Server 10.10 guest that successfully boots to shell.

I have a UP Ubuntu Desktop 10.10 guest that intermittently reaches the graphical desktop.

The Fedora 14 Beta Install DVD does not reach anaconda.
Comment 1 Richard Chan 2010-10-31 06:19:31 EDT
Created attachment 456710 [details]
Guest UP or SMP does not reach graphical desktop
Comment 2 Richard Chan 2010-10-31 06:48:10 EDT
An older kernel 2.6.32.x (Ubuntu 10.04 LTS) successfully boots SMP to graphical desktop.
Comment 3 Cole Robinson 2012-05-20 19:50:40 EDT
F14 is end-of-life now. If anyone is still affected by this bug with newer
qemu versions (fedora 16 or 17), please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.